uploads
Creates a new Upload Request to upload outputs to the client specified location. *POST /uploads will charge / consume tokens per output once enabled.*
Resource Information
| Method and URI | POST https://developer.api.autodesk.com/industrialized-construction/informed-design/v1/uploads |
| Authentication Context | User context required |
| Required OAuth Scopes | data:read data:write data:create account:read |
| Data Format | JSON |
Request
Headers
| Authorization* string | Must be Bearer <token>, where <token> is a three-legged access token obtained via an Authorization Code flow or a Secure Service Account (SSA) flow.
The SSA flow is designed for headless server-to-server operations. While it functions like a two-legged flow (no user interaction), it is classified as three-legged because it preserves user context. |
| Content-Type* string | Must be application/json |
Request
Query String Parameters
| accessType* enum:string | The type of integration or service used to determine access context.
Possible values: ACC, BIM360, FUSION, CONTENTCATALOG, BRIDGE, PUBLIC |
| accessId* string | A composite string of identifiers that define the access scope for the given access type. |
Request
Body Structure
| outputs* array: object | |
| id* string: UUID | The unique identifier of Output. |
| filename string | A custom name for the Output file (without extension).
Max length: 255 |
| metaInfo object | The metaInfo for Upload. Supports adding custom properties. |
| source object | The metaInfo for source. Supports adding custom properties. |
| modelName string | The name of the source model. |
| modelId string | The unique identifier of the source model. |
| accountId string | The ID of the source account. |
| accountName string | The name of the source account. |
| projectId string | The ID of the source project. |
| projectName string | The name of the source project. |
| * | |
| uploadLocation object | The metaInfo for upload location. Supports adding custom properties. |
| vendor enum:string | The vendor location.
Possible values: ACC, BIM360, FUSIONTEAM |
| project string | The ID of the target project for the upload. |
| folder string | The URN of the target folder for the upload. |
| folderName string | The name of the target folder. |
| * | |
| * | |
| location* one of | |
| BIM360* object | The upload location details for BIM360. |
| vendor* enum:string | The upload location vendor. Will always be: BIM360 |
| project* string | The project Id. |
| folder* string | The folder URN. |
| ACC* object | The upload location details for ACC (now Forma). |
| vendor* enum:string | The upload location vendor. Will always be: ACC |
| project* string | The project Id. |
| folder* string | The folder URN. |
| FUSIONTEAM* object | The upload location details for Fusion Team. |
| vendor* enum:string | The upload location vendor. Will always be: FUSIONTEAM |
| project* string | The project Id. |
| folder* string | The folder URN. |
| onComplete object |
|
| verb* enum:string | The HTTP verb to use for the callback.
Possible values: POST, PUT, PATCH, GET |
| url* string | The URL to send the callback to. |
| onProgress object |
|
| verb* enum:string | The HTTP verb to use for the callback.
Possible values: POST, PUT, PATCH, GET |
| url* string | The URL to send the callback to. |
Response
HTTP Status Code Summary
| 201 Created | The request succeeded. An Upload Request was created and an asynchronous process to upload Outputs was started. |
| 400 Bad Request | The server could not process your request. It is likely due to incorrect formatting or missing information. The response body may indicate what is wrong. Please review and resubmit your request. |
| 401 Unauthorized | The supplied authorization header was invalid or the token scope was not acceptable. Verify your authentication credentials and try again. |
| 403 Forbidden | The request was valid but lacked the necessary permissions. Verify your credentials and permissions before sending the request again. |
| 429 Too Many Requests | The server has received too many requests within the allowed time window. Please wait before retrying. |
| 500 Internal Server Error | An unexpected error occurred on the server. Please try again later. |
Response
Body Structure (201)
| accessType enum:string | The type of integration or service used to determine access context.
Possible values: ACC, BIM360, FUSION, CONTENTCATALOG, BRIDGE, PUBLIC |
| accessId string | A composite string of identifiers that define the access scope for the given access type. |
| id string: UUID | The unique identifier of UploadRequest. |
| outputs | |
| anyOf | |
| 0 array | |
| oneOf array:oneOf | |
| Inventor RFA Output object | |
| type enum:string | Defines this Output definition to be of RFA type. Will always be: RFA |
| settings object | |
| representation string | The representation for this Output. |
| version enum:string | The application version for this Output.
Possible values: 2024, 2025, 2026 |
| category enum:string | The category to be set on generated Revit family.
Possible values: Structural Connections, Plumbing Equipment, Mechanical Control Devices, MEP Ancillary Framing, MEP Fabrication Ductwork Stiffeners, Conduit Fittings, Cable Tray Fittings, Sprinklers, Lighting Devices, Fire Alarm Devices, Data Devices, Communication Devices, Security Devices, Nurse Call Devices, Telephone Devices, Pipe Accessories, Pipe Fittings, Duct Accessories, Air Terminals, Duct Fittings, Structural Tendons, Expansion Joints, Vibration Isolators, Vibration Dampers, Vibration Management, Trusses, Diaphragms, Cross Bracing, Bridge Framing, Pier Walls, Pier Piles, Pier Columns, Pier Caps, Approach Slabs, Abutment Walls, Abutment Piles, Abutment Foundations, Bearings, Girders, Pier Foundations, Bridge Decks, Arches, Bridge Cables, Pier Towers, Piers, Abutments, Entourage, Planting, Structural Stiffeners, Specialty Equipment, Structural Columns, Structural Framing, Structural Foundations, Site, Roads, Parking, Plumbing Fixtures, Mechanical Equipment, Lighting Fixtures, Furniture Systems, Electrical Fixtures, Signage, Audio Visual Devices, Vertical Circulation, Fire Protection, Medical Equipment, Food Service Equipment, Electrical Equipment, Temporary Structures, Hardscape, Casework, Rise Drop Symbols, Terminations, Supports, Generic Models, Railings, Columns, Furniture, Doors, Walls, Stairs, Roofs, Floors, Ceilings, Windows |
| family string | The name for the generated Revit family. |
| behavior enum:string | The behavior type for the Revit Family.
Possible values: Generic, Ceiling Based, Face Based, Floor Based, Wall Based, Roof Based |
| id string: UUID | The unique identifier of Output. |
| status enum:string | Possible values: PENDING, SUCCESS, FAILED |
| createdAt datetime: ISO 8601 | The timestamp(ISO 8601) when the resource was created. |
| updatedAt datetime: ISO 8601 | The timestamp(ISO 8601) when the resource was last updated. |
| variantSnapshot object | |
| projectId string: UUID | The Project Id. |
| accountId string: UUID | The Account Id. |
| productId string: UUID | The unique identifier of Product. |
| productName string | The name of the Product |
| releaseId string: UUID | The unique identifier of Release. |
| releaseNumber int | The Release number. |
| id string: UUID | The unique identifier of Variant. |
| name string | The name of the Variant.
Max length: 255 |
| Inventor BCD Output object | |
| type enum:string | Defines this Output definition to be of BCD type. Will always be: BCD |
| settings object | |
| representation string | The representation for this Output. |
| category enum:string | The category to be set on generated Revit family.
Possible values: Structural Connections, Plumbing Equipment, Mechanical Control Devices, MEP Ancillary Framing, MEP Fabrication Ductwork Stiffeners, Conduit Fittings, Cable Tray Fittings, Sprinklers, Lighting Devices, Fire Alarm Devices, Data Devices, Communication Devices, Security Devices, Nurse Call Devices, Telephone Devices, Pipe Accessories, Pipe Fittings, Duct Accessories, Air Terminals, Duct Fittings, Structural Tendons, Expansion Joints, Vibration Isolators, Vibration Dampers, Vibration Management, Trusses, Diaphragms, Cross Bracing, Bridge Framing, Pier Walls, Pier Piles, Pier Columns, Pier Caps, Approach Slabs, Abutment Walls, Abutment Piles, Abutment Foundations, Bearings, Girders, Pier Foundations, Bridge Decks, Arches, Bridge Cables, Pier Towers, Piers, Abutments, Entourage, Planting, Structural Stiffeners, Specialty Equipment, Structural Columns, Structural Framing, Structural Foundations, Site, Roads, Parking, Plumbing Fixtures, Mechanical Equipment, Lighting Fixtures, Furniture Systems, Electrical Fixtures, Signage, Audio Visual Devices, Vertical Circulation, Fire Protection, Medical Equipment, Food Service Equipment, Electrical Equipment, Temporary Structures, Hardscape, Casework, Rise Drop Symbols, Terminations, Supports, Generic Models, Railings, Columns, Furniture, Doors, Walls, Stairs, Roofs, Floors, Ceilings, Windows |
| family string | The name for the generated Revit family. |
| behavior enum:string | The behavior type for the Revit Family.
Possible values: Generic, Ceiling Based, Face Based, Floor Based, Wall Based, Roof Based |
| id string: UUID | The unique identifier of Output. |
| status enum:string | Possible values: PENDING, SUCCESS, FAILED |
| createdAt datetime: ISO 8601 | The timestamp(ISO 8601) when the resource was created. |
| updatedAt datetime: ISO 8601 | The timestamp(ISO 8601) when the resource was last updated. |
| variantSnapshot object | |
| projectId string: UUID | The Project Id. |
| accountId string: UUID | The Account Id. |
| productId string: UUID | The unique identifier of Product. |
| productName string | The name of the Product |
| releaseId string: UUID | The unique identifier of Release. |
| releaseNumber int | The Release number. |
| id string: UUID | The unique identifier of Variant. |
| name string | The name of the Variant.
Max length: 255 |
| Inventor BOM Output object | |
| type enum:string | Defines this Output definition to be of BOM type. Will always be: BOM |
| settings object | |
| representation string | The representation for this Output. |
| id string: UUID | The unique identifier of Output. |
| status enum:string | Possible values: PENDING, SUCCESS, FAILED |
| createdAt datetime: ISO 8601 | The timestamp(ISO 8601) when the resource was created. |
| updatedAt datetime: ISO 8601 | The timestamp(ISO 8601) when the resource was last updated. |
| variantSnapshot object | |
| projectId string: UUID | The Project Id. |
| accountId string: UUID | The Account Id. |
| productId string: UUID | The unique identifier of Product. |
| productName string | The name of the Product |
| releaseId string: UUID | The unique identifier of Release. |
| releaseNumber int | The Release number. |
| id string: UUID | The unique identifier of Variant. |
| name string | The name of the Variant.
Max length: 255 |
| Inventor INV Output object | |
| type enum:string | Defines this Output definition to be of INV type. Will always be: INV |
| settings object | |
| id string: UUID | The unique identifier of Output. |
| status enum:string | Possible values: PENDING, SUCCESS, FAILED |
| createdAt datetime: ISO 8601 | The timestamp(ISO 8601) when the resource was created. |
| updatedAt datetime: ISO 8601 | The timestamp(ISO 8601) when the resource was last updated. |
| variantSnapshot object | |
| projectId string: UUID | The Project Id. |
| accountId string: UUID | The Account Id. |
| productId string: UUID | The unique identifier of Product. |
| productName string | The name of the Product |
| releaseId string: UUID | The unique identifier of Release. |
| releaseNumber int | The Release number. |
| id string: UUID | The unique identifier of Variant. |
| name string | The name of the Variant.
Max length: 255 |
| Inventor DWG Output object | |
| type enum:string | Defines this Output definition to be of DWG type. Will always be: DWG |
| settings object | |
| templatePath string | The relative path to Drawing Template File. |
| id string: UUID | The unique identifier of Output. |
| status enum:string | Possible values: PENDING, SUCCESS, FAILED |
| createdAt datetime: ISO 8601 | The timestamp(ISO 8601) when the resource was created. |
| updatedAt datetime: ISO 8601 | The timestamp(ISO 8601) when the resource was last updated. |
| variantSnapshot object | |
| projectId string: UUID | The Project Id. |
| accountId string: UUID | The Account Id. |
| productId string: UUID | The unique identifier of Product. |
| productName string | The name of the Product |
| releaseId string: UUID | The unique identifier of Release. |
| releaseNumber int | The Release number. |
| id string: UUID | The unique identifier of Variant. |
| name string | The name of the Variant.
Max length: 255 |
| Inventor Thumbnail Output object | |
| type enum:string | Defines this Output definition to be of THUMBNAIL type. Will always be: THUMBNAIL |
| settings object | |
| representation string | The representation for this Output. |
| id string: UUID | The unique identifier of Output. |
| status enum:string | Possible values: PENDING, SUCCESS, FAILED |
| createdAt datetime: ISO 8601 | The timestamp(ISO 8601) when the resource was created. |
| updatedAt datetime: ISO 8601 | The timestamp(ISO 8601) when the resource was last updated. |
| variantSnapshot object | |
| projectId string: UUID | The Project Id. |
| accountId string: UUID | The Account Id. |
| productId string: UUID | The unique identifier of Product. |
| productName string | The name of the Product |
| releaseId string: UUID | The unique identifier of Release. |
| releaseNumber int | The Release number. |
| id string: UUID | The unique identifier of Variant. |
| name string | The name of the Variant.
Max length: 255 |
| Inventor GLB Output object | |
| type enum:string | Defines this Output definition to be of GLB type. Will always be: GLB |
| settings object | |
| representation string | The representation for this Output. |
| id string: UUID | The unique identifier of Output. |
| status enum:string | Possible values: PENDING, SUCCESS, FAILED |
| createdAt datetime: ISO 8601 | The timestamp(ISO 8601) when the resource was created. |
| updatedAt datetime: ISO 8601 | The timestamp(ISO 8601) when the resource was last updated. |
| variantSnapshot object | |
| projectId string: UUID | The Project Id. |
| accountId string: UUID | The Account Id. |
| productId string: UUID | The unique identifier of Product. |
| productName string | The name of the Product |
| releaseId string: UUID | The unique identifier of Release. |
| releaseNumber int | The Release number. |
| id string: UUID | The unique identifier of Variant. |
| name string | The name of the Variant.
Max length: 255 |
| Inventor STL Output object | |
| type enum:string | Defines this Output definition to be of STL type. Will always be: STL |
| settings object | |
| representation string | The representation for this Output. |
| id string: UUID | The unique identifier of Output. |
| status enum:string | Possible values: PENDING, SUCCESS, FAILED |
| createdAt datetime: ISO 8601 | The timestamp(ISO 8601) when the resource was created. |
| updatedAt datetime: ISO 8601 | The timestamp(ISO 8601) when the resource was last updated. |
| variantSnapshot object | |
| projectId string: UUID | The Project Id. |
| accountId string: UUID | The Account Id. |
| productId string: UUID | The unique identifier of Product. |
| productName string | The name of the Product |
| releaseId string: UUID | The unique identifier of Release. |
| releaseNumber int | The Release number. |
| id string: UUID | The unique identifier of Variant. |
| name string | The name of the Variant.
Max length: 255 |
| Inventor STEP Output object | |
| type enum:string | Defines this Output definition to be of STEP type. Will always be: STEP |
| settings object | |
| representation string | The representation for this Output. |
| id string: UUID | The unique identifier of Output. |
| status enum:string | Possible values: PENDING, SUCCESS, FAILED |
| createdAt datetime: ISO 8601 | The timestamp(ISO 8601) when the resource was created. |
| updatedAt datetime: ISO 8601 | The timestamp(ISO 8601) when the resource was last updated. |
| variantSnapshot object | |
| projectId string: UUID | The Project Id. |
| accountId string: UUID | The Account Id. |
| productId string: UUID | The unique identifier of Product. |
| productName string | The name of the Product |
| releaseId string: UUID | The unique identifier of Release. |
| releaseNumber int | The Release number. |
| id string: UUID | The unique identifier of Variant. |
| name string | The name of the Variant.
Max length: 255 |
| Inventor PDF Output object | |
| type enum:string | Defines this Output definition to be of PDF type. Will always be: PDF |
| settings object | |
| templatePath string | The relative path to Drawing Template File. |
| id string: UUID | The unique identifier of Output. |
| status enum:string | Possible values: PENDING, SUCCESS, FAILED |
| createdAt datetime: ISO 8601 | The timestamp(ISO 8601) when the resource was created. |
| updatedAt datetime: ISO 8601 | The timestamp(ISO 8601) when the resource was last updated. |
| variantSnapshot object | |
| projectId string: UUID | The Project Id. |
| accountId string: UUID | The Account Id. |
| productId string: UUID | The unique identifier of Product. |
| productName string | The name of the Product |
| releaseId string: UUID | The unique identifier of Release. |
| releaseNumber int | The Release number. |
| id string: UUID | The unique identifier of Variant. |
| name string | The name of the Variant.
Max length: 255 |
| Inventor IDW Output object | |
| type enum:string | Defines this Output definition to be of IDW type. Will always be: IDW |
| settings object | |
| templatePath string | The relative path to Drawing Template File. |
| id string: UUID | The unique identifier of Output. |
| status enum:string | Possible values: PENDING, SUCCESS, FAILED |
| createdAt datetime: ISO 8601 | The timestamp(ISO 8601) when the resource was created. |
| updatedAt datetime: ISO 8601 | The timestamp(ISO 8601) when the resource was last updated. |
| variantSnapshot object | |
| projectId string: UUID | The Project Id. |
| accountId string: UUID | The Account Id. |
| productId string: UUID | The unique identifier of Product. |
| productName string | The name of the Product |
| releaseId string: UUID | The unique identifier of Release. |
| releaseNumber int | The Release number. |
| id string: UUID | The unique identifier of Variant. |
| name string | The name of the Variant.
Max length: 255 |
| Inventor SAT Output object | |
| type enum:string | Defines this Output definition to be of SAT type. Will always be: SAT |
| settings object | |
| representation string | The representation for this Output. |
| id string: UUID | The unique identifier of Output. |
| status enum:string | Possible values: PENDING, SUCCESS, FAILED |
| createdAt datetime: ISO 8601 | The timestamp(ISO 8601) when the resource was created. |
| updatedAt datetime: ISO 8601 | The timestamp(ISO 8601) when the resource was last updated. |
| variantSnapshot object | |
| projectId string: UUID | The Project Id. |
| accountId string: UUID | The Account Id. |
| productId string: UUID | The unique identifier of Product. |
| productName string | The name of the Product |
| releaseId string: UUID | The unique identifier of Release. |
| releaseNumber int | The Release number. |
| id string: UUID | The unique identifier of Variant. |
| name string | The name of the Variant.
Max length: 255 |
| Inventor SVF Output object | |
| type enum:string | Defines this Output definition to be of SVF type. Will always be: SVF |
| settings object | |
| representation string | The representation for this Output. |
| id string: UUID | The unique identifier of Output. |
| status enum:string | Possible values: PENDING, SUCCESS, FAILED |
| createdAt datetime: ISO 8601 | The timestamp(ISO 8601) when the resource was created. |
| updatedAt datetime: ISO 8601 | The timestamp(ISO 8601) when the resource was last updated. |
| variantSnapshot object | |
| projectId string: UUID | The Project Id. |
| accountId string: UUID | The Account Id. |
| productId string: UUID | The unique identifier of Product. |
| productName string | The name of the Product |
| releaseId string: UUID | The unique identifier of Release. |
| releaseNumber int | The Release number. |
| id string: UUID | The unique identifier of Variant. |
| name string | The name of the Variant.
Max length: 255 |
| Inventor DWG3D Output object | |
| type enum:string | Defines this Output definition to be of DWG3D type. Will always be: DWG3D |
| settings object | |
| representation string | The representation for this Output. |
| id string: UUID | The unique identifier of Output. |
| status enum:string | Possible values: PENDING, SUCCESS, FAILED |
| createdAt datetime: ISO 8601 | The timestamp(ISO 8601) when the resource was created. |
| updatedAt datetime: ISO 8601 | The timestamp(ISO 8601) when the resource was last updated. |
| variantSnapshot object | |
| projectId string: UUID | The Project Id. |
| accountId string: UUID | The Account Id. |
| productId string: UUID | The unique identifier of Product. |
| productName string | The name of the Product |
| releaseId string: UUID | The unique identifier of Release. |
| releaseNumber int | The Release number. |
| id string: UUID | The unique identifier of Variant. |
| name string | The name of the Variant.
Max length: 255 |
| 1 array | |
| oneOf array:oneOf | |
| Fusion RFA Output object | |
| type enum:string | Defines this Output definition to be of RFA type. Will always be: RFA |
| settings object | |
| version enum:string | The application version for this Output.
Possible values: 2024, 2025, 2026 |
| category enum:string | The category to be set on generated Revit family.
Possible values: Structural Connections, Plumbing Equipment, Mechanical Control Devices, MEP Ancillary Framing, MEP Fabrication Ductwork Stiffeners, Conduit Fittings, Cable Tray Fittings, Sprinklers, Lighting Devices, Fire Alarm Devices, Data Devices, Communication Devices, Security Devices, Nurse Call Devices, Telephone Devices, Pipe Accessories, Pipe Fittings, Duct Accessories, Air Terminals, Duct Fittings, Structural Tendons, Expansion Joints, Vibration Isolators, Vibration Dampers, Vibration Management, Trusses, Diaphragms, Cross Bracing, Bridge Framing, Pier Walls, Pier Piles, Pier Columns, Pier Caps, Approach Slabs, Abutment Walls, Abutment Piles, Abutment Foundations, Bearings, Girders, Pier Foundations, Bridge Decks, Arches, Bridge Cables, Pier Towers, Piers, Abutments, Entourage, Planting, Structural Stiffeners, Specialty Equipment, Structural Columns, Structural Framing, Structural Foundations, Site, Roads, Parking, Plumbing Fixtures, Mechanical Equipment, Lighting Fixtures, Furniture Systems, Electrical Fixtures, Signage, Audio Visual Devices, Vertical Circulation, Fire Protection, Medical Equipment, Food Service Equipment, Electrical Equipment, Temporary Structures, Hardscape, Casework, Rise Drop Symbols, Terminations, Supports, Generic Models, Railings, Columns, Furniture, Doors, Walls, Stairs, Roofs, Floors, Ceilings, Windows |
| family string | The name for the generated Revit family. |
| behavior enum:string | The behavior type for the Revit Family.
Possible values: Generic, Ceiling Based, Face Based, Floor Based, Wall Based, Roof Based |
| id string: UUID | The unique identifier of Output. |
| status enum:string | Possible values: PENDING, SUCCESS, FAILED |
| createdAt datetime: ISO 8601 | The timestamp(ISO 8601) when the resource was created. |
| updatedAt datetime: ISO 8601 | The timestamp(ISO 8601) when the resource was last updated. |
| variantSnapshot object | |
| projectId string: UUID | The Project Id. |
| accountId string: UUID | The Account Id. |
| productId string: UUID | The unique identifier of Product. |
| productName string | The name of the Product |
| releaseId string: UUID | The unique identifier of Release. |
| releaseNumber int | The Release number. |
| id string: UUID | The unique identifier of Variant. |
| name string | The name of the Variant.
Max length: 255 |
| Fusion BCD Output object | |
| type enum:string | Defines this Output definition to be of BCD type. Will always be: BCD |
| settings object | |
| category enum:string | The category to be set on generated Revit family.
Possible values: Structural Connections, Plumbing Equipment, Mechanical Control Devices, MEP Ancillary Framing, MEP Fabrication Ductwork Stiffeners, Conduit Fittings, Cable Tray Fittings, Sprinklers, Lighting Devices, Fire Alarm Devices, Data Devices, Communication Devices, Security Devices, Nurse Call Devices, Telephone Devices, Pipe Accessories, Pipe Fittings, Duct Accessories, Air Terminals, Duct Fittings, Structural Tendons, Expansion Joints, Vibration Isolators, Vibration Dampers, Vibration Management, Trusses, Diaphragms, Cross Bracing, Bridge Framing, Pier Walls, Pier Piles, Pier Columns, Pier Caps, Approach Slabs, Abutment Walls, Abutment Piles, Abutment Foundations, Bearings, Girders, Pier Foundations, Bridge Decks, Arches, Bridge Cables, Pier Towers, Piers, Abutments, Entourage, Planting, Structural Stiffeners, Specialty Equipment, Structural Columns, Structural Framing, Structural Foundations, Site, Roads, Parking, Plumbing Fixtures, Mechanical Equipment, Lighting Fixtures, Furniture Systems, Electrical Fixtures, Signage, Audio Visual Devices, Vertical Circulation, Fire Protection, Medical Equipment, Food Service Equipment, Electrical Equipment, Temporary Structures, Hardscape, Casework, Rise Drop Symbols, Terminations, Supports, Generic Models, Railings, Columns, Furniture, Doors, Walls, Stairs, Roofs, Floors, Ceilings, Windows |
| family string | The name for the generated Revit family. |
| behavior enum:string | The behavior type for the Revit Family.
Possible values: Generic, Ceiling Based, Face Based, Floor Based, Wall Based, Roof Based |
| id string: UUID | The unique identifier of Output. |
| status enum:string | Possible values: PENDING, SUCCESS, FAILED |
| createdAt datetime: ISO 8601 | The timestamp(ISO 8601) when the resource was created. |
| updatedAt datetime: ISO 8601 | The timestamp(ISO 8601) when the resource was last updated. |
| variantSnapshot object | |
| projectId string: UUID | The Project Id. |
| accountId string: UUID | The Account Id. |
| productId string: UUID | The unique identifier of Product. |
| productName string | The name of the Product |
| releaseId string: UUID | The unique identifier of Release. |
| releaseNumber int | The Release number. |
| id string: UUID | The unique identifier of Variant. |
| name string | The name of the Variant.
Max length: 255 |
| Fusion SAT Output object | |
| type enum:string | Defines this Output definition to be of SAT type. Will always be: SAT |
| settings object | |
| id string: UUID | The unique identifier of Output. |
| status enum:string | Possible values: PENDING, SUCCESS, FAILED |
| createdAt datetime: ISO 8601 | The timestamp(ISO 8601) when the resource was created. |
| updatedAt datetime: ISO 8601 | The timestamp(ISO 8601) when the resource was last updated. |
| variantSnapshot object | |
| projectId string: UUID | The Project Id. |
| accountId string: UUID | The Account Id. |
| productId string: UUID | The unique identifier of Product. |
| productName string | The name of the Product |
| releaseId string: UUID | The unique identifier of Release. |
| releaseNumber int | The Release number. |
| id string: UUID | The unique identifier of Variant. |
| name string | The name of the Variant.
Max length: 255 |
| Fusion STEP Output object | |
| type enum:string | Defines this Output definition to be of STEP type. Will always be: STEP |
| settings object | |
| id string: UUID | The unique identifier of Output. |
| status enum:string | Possible values: PENDING, SUCCESS, FAILED |
| createdAt datetime: ISO 8601 | The timestamp(ISO 8601) when the resource was created. |
| updatedAt datetime: ISO 8601 | The timestamp(ISO 8601) when the resource was last updated. |
| variantSnapshot object | |
| projectId string: UUID | The Project Id. |
| accountId string: UUID | The Account Id. |
| productId string: UUID | The unique identifier of Product. |
| productName string | The name of the Product |
| releaseId string: UUID | The unique identifier of Release. |
| releaseNumber int | The Release number. |
| id string: UUID | The unique identifier of Variant. |
| name string | The name of the Variant.
Max length: 255 |
| Fusion Thumbnail Output object | |
| type enum:string | Defines this Output definition to be of THUMBNAIL type. Will always be: THUMBNAIL |
| settings object | |
| id string: UUID | The unique identifier of Output. |
| status enum:string | Possible values: PENDING, SUCCESS, FAILED |
| createdAt datetime: ISO 8601 | The timestamp(ISO 8601) when the resource was created. |
| updatedAt datetime: ISO 8601 | The timestamp(ISO 8601) when the resource was last updated. |
| variantSnapshot object | |
| projectId string: UUID | The Project Id. |
| accountId string: UUID | The Account Id. |
| productId string: UUID | The unique identifier of Product. |
| productName string | The name of the Product |
| releaseId string: UUID | The unique identifier of Release. |
| releaseNumber int | The Release number. |
| id string: UUID | The unique identifier of Variant. |
| name string | The name of the Variant.
Max length: 255 |
| Fusion F3D Output object | |
| type enum:string | Defines this Output definition to be of F3D type. Will always be: F3D |
| settings object | |
| id string: UUID | The unique identifier of Output. |
| status enum:string | Possible values: PENDING, SUCCESS, FAILED |
| createdAt datetime: ISO 8601 | The timestamp(ISO 8601) when the resource was created. |
| updatedAt datetime: ISO 8601 | The timestamp(ISO 8601) when the resource was last updated. |
| variantSnapshot object | |
| projectId string: UUID | The Project Id. |
| accountId string: UUID | The Account Id. |
| productId string: UUID | The unique identifier of Product. |
| productName string | The name of the Product |
| releaseId string: UUID | The unique identifier of Release. |
| releaseNumber int | The Release number. |
| id string: UUID | The unique identifier of Variant. |
| name string | The name of the Variant.
Max length: 255 |
| metaInfo object | The metaInfo for Upload. Supports adding custom properties. |
| source object | The metaInfo for source. Supports adding custom properties. |
| modelName string | The name of the source model. |
| modelId string | The unique identifier of the source model. |
| accountId string | The ID of the source account. |
| accountName string | The name of the source account. |
| projectId string | The ID of the source project. |
| projectName string | The name of the source project. |
| * | |
| uploadLocation object | The metaInfo for upload location. Supports adding custom properties. |
| vendor enum:string | The vendor location.
Possible values: ACC, BIM360, FUSIONTEAM |
| project string | The ID of the target project for the upload. |
| folder string | The URN of the target folder for the upload. |
| folderName string | The name of the target folder. |
| * | |
| * | |
| location one of | |
| BIM360 object | The upload location details for BIM360. |
| vendor enum:string | The upload location vendor. Will always be: BIM360 |
| project string | The project Id. |
| folder string | The folder URN. |
| ACC object | The upload location details for ACC (now Forma). |
| vendor enum:string | The upload location vendor. Will always be: ACC |
| project string | The project Id. |
| folder string | The folder URN. |
| FUSIONTEAM object | The upload location details for Fusion Team. |
| vendor enum:string | The upload location vendor. Will always be: FUSIONTEAM |
| project string | The project Id. |
| folder string | The folder URN. |
| onComplete object | The onComplete URL and VERB. |
| verb enum:string | The HTTP verb to use for the callback.
Possible values: POST, PUT, PATCH, GET |
| url string | The URL to send the callback to. |
| onProgress object | The onProgress URL and VERB. |
| verb enum:string | The HTTP verb to use for the callback.
Possible values: POST, PUT, PATCH, GET |
| url string | The URL to send the callback to. |
| status enum:string | The status of the upload request.
Possible values: SUCCESS, FAILED, PENDING |
| logFile string | The URL to the log file for the upload request |
| createdAt datetime: ISO 8601 | The timestamp(ISO 8601) when the resource was created. |
| updatedAt datetime: ISO 8601 | The timestamp(ISO 8601) when the resource was last updated. |
Example
The request succeeded. An Upload Request was created and an asynchronous process to upload Outputs was started.
Request
curl -v 'https://developer.api.autodesk.com/industrialized-construction/informed-design/v1/uploads?accessType=ACC&accessId=12345678-1234-1234-1234-1234567890ab|urn:adsk.wipstg:fs.folder:co.ObAD7BpLXdKZiXK_OSJBow' \
-X 'POST' \
-H 'Authorization: Bearer AuIPTf4KYLTYGVnOHQ0cuolwCW2a' \
-H 'Content-Type: application/json' \
-d '{
"outputs": [
{
"id": "",
"filename": ""
}
],
"metaInfo": {
"source": {
"modelName": "",
"modelId": "",
"accountId": "",
"accountName": "",
"projectId": "",
"projectName": ""
},
"uploadLocation": {
"vendor": "ACC",
"project": "",
"folder": "",
"folderName": ""
}
},
"location": {
"vendor": "BIM360",
"project": "",
"folder": ""
},
"onComplete": {
"verb": "POST",
"url": ""
},
"onProgress": {
"verb": "POST",
"url": ""
}
}'
Response
{
"accessType": "ACC",
"accessId": "",
"id": "",
"outputs": {},
"metaInfo": {
"source": {
"modelName": "",
"modelId": "",
"accountId": "",
"accountName": "",
"projectId": "",
"projectName": ""
},
"uploadLocation": {
"vendor": "ACC",
"project": "",
"folder": "",
"folderName": ""
}
},
"location": {
"vendor": "BIM360",
"project": "",
"folder": ""
},
"onComplete": {
"verb": "POST",
"url": ""
},
"onProgress": {
"verb": "POST",
"url": ""
},
"status": "SUCCESS",
"logFile": "",
"createdAt": "",
"updatedAt": ""
}